Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 163970 - Kudzu fails to detect Intel 915 Graphics Controller
Kudzu fails to detect Intel 915 Graphics Controller
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 11:04 EDT by Anders Blomdell
Modified: 2014-03-16 22:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 17:30:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Blomdell 2005-07-22 11:04:29 EDT
Description of problem:

When running system-config-display on a D915GAGL motherboard, kudzu fails to detect the
graphics controller (a '82915G/GV/910GL Express Chipset Family Graphics Controller'). 
Instead of selecting the i810 driver, it tries the VESA driver, which only shows garbage on the screen.


Version-Release number of selected component (if applicable):

kudzu-1.1.116.2-2

How reproducible:

Always

Steps to Reproduce:
1. run 'system-config-display --reconfig --noui -v'

Actual results:

Trying with card: VESA driver (generic)
Backing up /etc/X11/xorg.conf to /etc/X11/xorg.conf.backup
Writing configuration to /etc/X11/xorg.conf
Removing old /etc/X11/X
Creating /etc/X11/X symlink

Expected results:

Trying with card: Intel 915
Backing up /etc/X11/xorg.conf to /etc/X11/xorg.conf.backup
Writing configuration to /etc/X11/xorg.conf
Removing old /etc/X11/X
Creating /etc/X11/X symlink

Additional info:

The expected result can be achieved by removing the intelfb entries from 
/lib/modules/`uname -r`/modules.pcimap. One way of doing this is:

  mv /lib/modules/`uname -r`/kernel/drivers/video/intelfb/intelfb.ko /tmp
  depmod -a
  system-config-display --reconfig --noui -v
Comment 1 Bill Nottingham 2005-07-22 12:26:54 EDT
Can you attach the output of a) lspci b) kudzu -p -b pci?
Comment 2 Anders Blomdell 2005-07-22 12:37:50 EDT
problem seems to be present only in 2.6.12-1.1398_FC4smp (i.e  2.6.11-1.1369_FC4smp  and
2.6.12-1.1398_FC4 works as expected). From the guilty system I get:

# lspci 
00:00.0 Host bridge: Intel Corporation 915G/P/GV/GL/PL/910GL Processor to I/O Controller (rev 04)
00:01.0 PCI bridge: Intel Corporation 915G/P/GV/GL/PL/910GL PCI Express Root Port (rev 04)
00:02.0 VGA compatible controller: Intel Corporation 82915G/GV/910GL Express Chipset Family 
Graphics Controller (rev 04)
00:1b.0 Class 0403: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio 
Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 
03)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2 (rev 
03)
00:1c.2 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 3 (rev 
03)
00:1c.3 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 4 (rev 
03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller 
(rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
06:01.0 Communication controller: Unknown device 1616:0409 (rev 01)
06:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet 
Controller (rev 01)

# kudzu -p -b pci
-
class: OTHER
bus: PCI
detached: 0
driver: i2c-i801
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller"
vendorId: 8086
deviceId: 266a
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  3
-
class: OTHER
bus: PCI
detached: 0
driver: i8xx_tco
desc: "Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge"
vendorId: 8086
deviceId: 2640
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: hw_random
desc: "Intel Corporation 82801 PCI Bridge"
vendorId: 8086
deviceId: 244e
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1e
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 4"
vendorId: 8086
deviceId: 2666
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1c
pcifn:  3
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 3"
vendorId: 8086
deviceId: 2664
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1c
pcifn:  2
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2"
vendorId: 8086
deviceId: 2662
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1c
pcifn:  1
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1"
vendorId: 8086
deviceId: 2660
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1c
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "Intel Corporation 915G/P/GV/GL/PL/910GL PCI Express Root Port"
vendorId: 8086
deviceId: 2581
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corporation 915G/P/GV/GL/PL/910GL Processor to I/O Controller"
vendorId: 8086
deviceId: 2580
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: e100
desc: "Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet Controller"
network.hwaddr: 00:13:20:41:6F:DB
vendorId: 8086
deviceId: 1064
subVendorId: 8086
subDeviceId: 3054
pciType: 1
pcidom:    0
pcibus:  6
pcidev:  8
pcifn:  0
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-hda-intel
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller"
vendorId: 8086
deviceId: 2668
subVendorId: 8086
subDeviceId: e202
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1b
pcifn:  0
-
class: MODEM
bus: PCI
detached: 0
driver: unknown
desc: "Unknown device 1616:0409"
vendorId: 1616
deviceId: 0409
subVendorId: 1616
subDeviceId: 0002
pciType: 1
pcidom:    0
pcibus:  6
pcidev:  1
pcifn:  0
-
class: VIDEO
bus: PCI
detached: 0
driver: intelfb
desc: "Intel Corporation 82915G/GV/910GL Express Chipset Family Graphics Controller"
vendorId: 8086
deviceId: 2582
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  2
pcifn:  0
-
class: USB
bus: PCI
detached: 0
driver: ehci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller"
vendorId: 8086
deviceId: 265c
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  7
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4"
vendorId: 8086
deviceId: 265b
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  3
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3"
vendorId: 8086
deviceId: 265a
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  2
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2"
vendorId: 8086
deviceId: 2659
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  1
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1"
vendorId: 8086
deviceId: 2658
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  0
-
class: IDE
bus: PCI
detached: 0
driver: ata_piix
desc: "Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller"
vendorId: 8086
deviceId: 2651
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  2
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller"
vendorId: 8086
deviceId: 266f
subVendorId: 8086
subDeviceId: 4147
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  1

Comment 3 Bill Nottingham 2005-07-22 13:14:47 EDT
Do you have a separate /usr?
Comment 4 Anders Blomdell 2005-07-24 16:58:07 EDT
No, everything mounted on /
Comment 5 Bill Nottingham 2005-09-28 17:30:38 EDT
This should be fixed in rawhide; the way X drivers are exposed to the config
tool has changed.

Note You need to log in before you can comment on or make changes to this bug.